<?php

namespace App\Models;

class UserPropertyMapping extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_property_mapping';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];


    public function property()
    {
        return $this->hasOne("App\Models\Property",   'id', 'property_id');
    }

    public function user()
    {
        return $this->hasOne("App\Models\User",    'id', 'user_id')
            ->where('status', '=', 1);
    }

}
